﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.Reporting;
using Telerik.Reporting.Examples.CSharp;
using Telerik.Reporting.Processing;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace WinFormsReportingDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ThemeResolutionService.ApplicationThemeName = "VisualStudio2012Dark";
        }

        async private void radButton1_Click(object sender, EventArgs e)
        {
            Stream s = null;
            await Task.Run(() => DoReportProcessing()).ContinueWith(x => { s = x.Result; });
            radPdfViewer1.ReadingMode = ReadingMode.OnDemand;
            radPdfViewer1.LoadDocument(s);
        }

        async Task<Stream> DoReportProcessing()
        {
            Telerik.Reporting.Report report = new Dashboard();
            ReportProcessor reportProcessor = new ReportProcessor();
            InstanceReportSource instanceReportSource = new InstanceReportSource();
            instanceReportSource.ReportDocument = report;
            RenderingResult result = reportProcessor.RenderReport("PDF", instanceReportSource, null);
            MemoryStream stream = new MemoryStream();

            await stream.WriteAsync(result.DocumentBytes, 0, result.DocumentBytes.Length);
            stream.Position = 0;
            return stream;
        }

    }
}
