﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net;
using System.IO;
using Telerik.WinControls.UI;

namespace TestDemoApp
{
    public partial class PDFViewerForm : RadForm
    {
        BackgroundWorker worker = new BackgroundWorker();

        public PDFViewerForm()
        {
            InitializeComponent();

            this.radPdfViewer1.ReadingMode = Telerik.WinControls.UI.ReadingMode.OnDemand;
            
            worker.DoWork += new DoWorkEventHandler(work_DoWork);
            worker.RunWorkerCompleted += new RunWorkerCompletedEventHandler(work_RunWorkerCompleted);
        }

        void work_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e)
        {
            this.radWaitingBar1.StopWaiting();
            this.radWaitingBar1.Visible = false;
            this.radPdfViewer1.LoadDocument(stream);
        }

        MemoryStream stream = new MemoryStream();

        void work_DoWork(object sender, DoWorkEventArgs e)
        {
            HttpWebRequest request = (HttpWebRequest)
              WebRequest.Create("http://www.telerik.com/libraries/documents/the_net_developer_s_guide_to_memory_and_performance_profiling.sflb");

            HttpWebResponse response = (HttpWebResponse)
                request.GetResponse();

            Stream resStream = response.GetResponseStream();
            int count = 0;
            byte[] buf = new byte[1024];

            do
            {
                count = resStream.Read(buf, 0, buf.Length);

                if (count != 0)
                {
                    stream.Write(buf, 0, count);
                }
            }
            while (count > 0);

            stream.Position = 0;
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            worker.RunWorkerAsync();
            this.radWaitingBar1.Visible = true;
            this.radWaitingBar1.StartWaiting();
        }
    }
}
