﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.Pivot.Adomd;
using Telerik.Pivot.Core;
using Telerik.WinControls.UI;

namespace TestDemoApp
{
    public partial class PivotGridKPIForm : RadForm
    {
        public PivotGridKPIForm()
        {
            InitializeComponent();

            this.radPivotFieldList1.AssociatedPivotGrid = this.radPivotGrid1;
        }

        private void SetupAdomdProvider()
        {
            AdomdDataProvider provider = new AdomdDataProvider();
            AdomdConnectionSettings settings = new AdomdConnectionSettings();
            
            settings.Cube = "Adventure Works";
            settings.Database = "Adventure Works DW 2008R2";
            settings.ConnectionString = "Data Source=http://demos.telerik.com/olap/msmdpump.dll;Catalog=Adventure Works DW 2008R2";

            provider.ConnectionSettings = settings;
            provider.AggregatesPosition = PivotAxis.Rows;
           
            provider.RowGroupDescriptions.Add(new AdomdGroupDescription() { MemberName = "[Product].[Category]" });
            provider.ColumnGroupDescriptions.Add(new AdomdGroupDescription() { MemberName = "[Date].[Fiscal Year]" });

            provider.AggregateDescriptions.Add(new AdomdAggregateDescription() { MemberName = "[Measures].[Internet Sales Amount]" });
            provider.AggregateDescriptions.Add(new AdomdAggregateDescription() { MemberName = "[Measures].[Internet Revenue Goal]" });
            provider.AggregateDescriptions.Add(new AdomdAggregateDescription() { MemberName = "[Measures].[Internet Revenue Status]" });
            provider.AggregateDescriptions.Add(new AdomdAggregateDescription() { MemberName = "[Measures].[Internet Revenue Trend]" });

            provider.FilterDescriptions.Add(new AdomdFilterDescription() { MemberName = "[Product].[Product Line]" });
       
            this.radPivotGrid1.PivotGridElement.DataProvider = provider;

            this.radPivotGrid1.ShowFilterArea = true;
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            this.radButton1.Parent.Controls.Remove(this.radButton1);
            this.SetupAdomdProvider();
        }
    }
}
