﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.Pivot.Adomd;
using Telerik.WinControls.UI;

namespace TestDemoApp
{
    public partial class PivotGridOlapForm : RadForm
    {
        public PivotGridOlapForm()
        {
            InitializeComponent(); 
        }
        
        private void SetupAdomdProvider()
        {
            AdomdDataProvider provider = new AdomdDataProvider();
            AdomdConnectionSettings settings = new AdomdConnectionSettings();

            settings.Cube = "Adventure Works";
            settings.Database = "Adventure Works DW 2008R2";
            settings.ConnectionString = "Data Source=http://demos.telerik.com/olap/msmdpump.dll;Catalog=Adventure Works DW 2008R2";

            provider.ConnectionSettings = settings;

            provider.RowGroupDescriptions.Add(new AdomdGroupDescription() { MemberName = "[Date].[Calendar Year]" });
            provider.RowGroupDescriptions.Add(new AdomdGroupDescription() { MemberName = "[Date].[Calendar Quarter of Year]" });

            provider.ColumnGroupDescriptions.Add(new AdomdGroupDescription() { MemberName = "[Promotion].[Promotion Category]" });
            provider.ColumnGroupDescriptions.Add(new AdomdGroupDescription() { MemberName = "[Product].[Category]" });

            provider.AggregateDescriptions.Add(new AdomdAggregateDescription() { MemberName = "[Measures].[Internet Order Quantity]" });

            provider.FilterDescriptions.Add(new AdomdFilterDescription() { MemberName = "[Product].[Product Line]" });

            this.radPivotGrid1.PivotGridElement.DataProvider = provider;

        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            this.radButton1.Parent.Controls.Remove(this.radButton1);
            this.SetupAdomdProvider();
        }
    }
}
